<?php

abstract class Element extends Template {
	public $tag;
	public $attributes;
	public $childNodes;

	final function __construct($tag, $attributes, $childNodes) {
		$this->tag = $tag;
		$this->attributes	= $attributes;
		$this->childNodes	= $childNodes instanceof Traversable
							? iterator_to_array($childNodes)
							: (array) $childNodes;
	}
}

?>
